<?

/*

PAccounts 0.1 (April 27, 2000)
a web account password manager
http://www.dansteinman.com/php/paccounts/

Copyright (C) 1999 Dan Steinman (dan@dansteinman.com)

This is free software under the terms of the GNU General Public License

*/

include('dplib.php3');  // Dan's PHP Library
include('paccounts-class.php3');  // PAccounts Class

// -- DPLib: make a database connection ------------

$mysql = new MySQLDatabase;
$mysql->setHost('localhost');
$mysql->setUsername('myuser');
$mysql->setPassword('mypass');
$mysql->select_db('myportal'); // select database to store info

// -- DPLib: username password login ------------
// check the username and password stored in cookies against the database table named "users"
// if login fails it'll exit the script immediately
if ($cusername && $cpassword) {
	$username = $cusername;
	$password = $cpassword;
	$mysql->checkPassword($username,$password,null);
}
else {
	$mysql->checkPassword("","",null);
}

// -- PAccounts ------------

$accounts = new PAccounts;  // make instance of PAccounts
$accounts->setDB($mysql);  // set the database connection

// -- PAccounts: custom default page ------------

// if no command print a custom default page with links to auto-submit and edit the account forms
if (!$command) {
	
	// this is a javascript function to submit the hidden form
	print '	
	<script language="JavaScript">
	
	function PAccountsLogin(formname) {
		document[formname].submit()
	}
	
	</script>
	';
	
	print "<h3>Welcome $username</h3>";
	
	print "<p><a href=\"paccounts.php3?command=editaccounts\">Edit accounts</a>";
	print "<br><a href=\"paccounts.php3?command=makeaccount\">Make a new account</a>";
	
	print "<p>Click a link below to log into that account:<br>";
	
	// returns array with all the saved form data needed
	$forms = $accounts->getSavedForms();
	
	// loop through each form
	for ($i=0;$i<count($forms);$i++) {

		$account = $forms[$i]['account'];  // the name of the account
		$formname = $forms[$i]['formname'];  // the name of the form to submit

		print "<a href=\"javascript:PAccountsLogin('$formname')\">$account</a><br>";
	}
	if (!count($forms)) {
		print "no accounts available";
	}

	// print hidden forms to the page for submitting
	print $accounts->getHiddenFormsString();

}

// -- PAccounts: built-in routines ------------

// the edit page
else if ($command == "editaccounts") {
	$accounts->displayEditAccounts();
}
// the routine for deleting an account
else if ($command == "deleteaccount") {
	$accounts->deleteAccount();
}
// the page to enter a url to examine
else if ($command == "makeaccount") {
	$accounts->displayMakeAccount();
}
// the page which returns the results of the url
else if ($command == "submitmakeaccount") {
	$accounts->displaySubmitMakeAccount($url);
}
// save the form data to the database
else if ($command == "saveaccount") {
	$accounts->displaySaveAccount();
}

?>
